> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an existing public path for a trace

> Deletes a public path for a trace



## OpenAPI

````yaml POST /api/trace/{id}/unshare
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - api_key: []
paths:
  /api/trace/{id}/unshare:
    post:
      description: Deletes a public path for a trace
      parameters:
        - name: id
          in: path
          description: ID of trace to unshare
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Public path deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: X-Auth-Token

````